--- title: "Shift Config" slug: "server-api-livechat-shift-config" updated: 2022-06-16T06:22:56Z published: 2022-06-16T06:22:56Z canonical: "developer.comm100.com/server-api-livechat-shift-config" --- > ## Documentation Index > Fetch the complete documentation index at: https://developer.comm100.com/llms.txt > Use this file to discover all available pages before exploring further. # Shift Config ## Shift Config You need the Manage Settings permission to manage shift config. - `Shift Config` - Shift Config Manage - `GET livechat/shiftConfig` - [Get a single Shift Config](/docs/server-api-livechat-shift-config#get-a-single-shift-config) - `POST livechat/shiftConfig:disable` - [Disable the Shift Config](/docs/server-api-livechat-shift-config#disable-the-shift-config) - `POST livechat/shiftConfig:enable` - [Enable the Shift Config](/docs/server-api-livechat-shift-config#enable-the-shift-config) ### Shift Config JSON Format Shift Config is represented as simple flat JSON objects with the following keys: | Name | Type | Description | | --- | --- | --- | | `isEnabled` | bool | Whether shift config is enabled or not. | ### Get a single Shift Config `GET livechat/shiftConfig` - #### Parameters: No Parameters - #### Response: [Shift Config](/docs/server-api-livechat-shift-config#shift-config-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/livechat/shiftConfig \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` { "isEnabled": true } ``` ### Disable the Shift Config `POST livechat/shiftConfig:disable` - #### Parameters: No Parameters - #### Response: [Shift Config](/docs/server-api-livechat-shift-config#shift-config-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/livechat/shiftConfig:disable \ -X 'POST' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` { "isEnabled": false } ``` ### Enable the Shift Config `POST livechat/shiftConfig:enable` - #### Parameters: No Parameters - #### Response: [Shift Config](/docs/server-api-livechat-shift-config#shift-config-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/livechat/shiftConfig:enable \ -X 'POST' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` { "isEnabled": true } ```